Home » Discussões » 168
lspci -vmmnn recognizes a device incorrectly
submitted by lammi87, 07:33, 10 Outubro 2012
TÓPICO: maybe a bug
STATUS: closed
PRIORIDADE: medium
Descrição:

Hi, this is lammi87.

I noticed that the search function used with lspci -vmmnn does not recognize the following device correctly. Do you know what's wrong?

Specifications according to the search results:

Class: ethernet-card
Device: AR2413/AR2414 Wireless Network Adapter [AR5005G(S) 802.11bg]
VendorID:ProductID: 168c:001a

lspci -vmmnn

Slot:	06:02.0
Class:	Ethernet controller [0200]
Vendor:	Atheros Communications Inc. [168c]
Device:	AR2413/AR2414 Wireless Network Adapter [AR5005G(S) 802.11bg] [001a]
SVendor:	AMBIT Microsystem Corp. [1468]
SDevice:	Device [0418]
Rev:	01

lspci -nnk

06:02.0 Ethernet controller [0200]: Atheros Communications Inc. AR2413/AR2414 Wireless Network Adapter [AR5005G(S) 802.11bg] [168c:001a] (rev 01)
	Subsystem: AMBIT Microsystem Corp. Device [1468:0418]
	Kernel driver in use: ath5k
	Kernel modules: ath5k
Mensagens:
lammi87:
It should not be recognized as an ethernet card. It should be a wifi card. This happened when I was inserting the Aspire 3103WLMi laptop to the database.
submitted by lammi87, 07:45, 10 Outubro 2012
tonicucoz:
This is because there is an error inside the lspci -vmmnn output. The class is 0200, that is the class of an ethernet card, it should be 0280 (wifi card). It's not a h-node bug
submitted by tonicucoz, 06:31, 11 Outubro 2012
eddie007:
Sometimes we have to get the way for windows working problem online so access in the svchost running high high memory usage that the provide you forever service of scan and correct the online leak problem easily so thanks for the update
submitted by eddie007, 04:28, 1 Setembro 2018

Write below your motivation

h-node.org is a hardware database project. It runs the h-source PHP software, version SVN-387, available under the GNU General Public (GPLv3) License.
JavaScript license information